ChiliProject - Bug # 423: Remove explicit render from WikiController##show

Status: Closed Priority: Normal

Author: Tom Kersten Category: Refactoring

Created: 2011-05-20 Assignee: Eric Davis

Updated: 2011-05-27 Due date:

Remote issue URL:

Affected version: unstable

Description: Removing the explicit @render :action => 'show'@ in WikiController#show will not effect existing functionality

but will allow sub-classes of the controller to handle various render formats using a respond_to block. An
example of what this will allow is for a gem to add support for additional formats (such as PDF) for a wiki page
without affecting existing routes.

| have made a pull request with the changes "here":https://github.com/chiliproject/chiliproject/pull/62

Associated revisions

2008-03-11 08:33 pm - Jean-Philippe Lang
Activity enhancements:
* overall activity view and feed added, link is available on the project list (#423, #494)

* switch added on the project activity view to include subprojects (closes #530)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1227 €93f8b46-1217-0410-a6f0-8f06a7374b81

2011-05-27 07:20 pm - Tom Kersten
[#423] Removed explicit render in WikiController#show

* Allows for format extensions in plugins w/o giving a double-render
error

* Updated Wiki#show template to specify 'wiki/sidebar' explicitly
(vs. just 'sidebar)

History

2011-05-27 03:09 pm - Eric Davis

- Status changed from Open to Needs more information

Tom:

Is this ready? | heard you and Holger chatting about it and wasn't sure if this is the final result.

2011-05-27 03:13 pm - Tom Kersten
Eric:

As far as | know, it is ready to go. | have applied the patch locally and in our production site with no impact. | believe the only task remaining was to
create this ticket so any necessary future discussions could use it as a reference.

2011-05-27 05:06 pm - Eric Davis
- Target version set to 2.0.0

- Category set to Refactoring

- Status changed from Needs more information to Ready for review
Thanks. We might be able to include it into 2.0.0.

2011-05-27 05:21 pm - Tom Kersten
Cool. Let me know if there is anything you'd like to see me do on my end to make it easier on yours.

2011-05-27 05:34 pm - Eric Davis
- Assignee set to Eric Davis

- (deleted custom field) set to unstable

- Status changed from Ready for review to Closed

Tom Kersten wrote:

> Let me know if there is anything you'd like to see me do on my end to make it easier on yours.

Only thing | saw was that if you prefix the commit log with an issue, it helps us associate the commit to the issue. | added some examples to [[Git
Standards]].

Added to unstable in commit:ce8bb652c6e7. Thanks for the patch and let us know if you come across any other refactorings.

2011-05-27 05:41 pm - Tom Kersten
Got it. Will do...and thanks for merging it in!
